<div class="container">
    <h2 class="title">Challenge COA</h2>
    <mat-card class="mat-card">
        <div class="form-container">
            <form [formGroup]="form" (ngSubmit)="onSubmit()" class="form">
                <h2>Create new account</h2>
                <formly-form [form]="form" [fields]="fields"></formly-form>
                <button type="submit" mat-raised-button color="primary" class="button" [disabled]="form.invalid">Register</button>
                <p class="signup-p">Already have an account?
                    <a [routerLink]="['/auth/login']">Sign in!</a>
                </p>
            </form>
        </div>
    </mat-card>
</div>